PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateClosureIndex

Calculate an index for the given PetscSection for the closure operation on the DM

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateClosureIndex(DM dm, PetscSection section)

Not collective

### Input Parameters

| dm | - The DM
| section | - The section describing the layout in the local vector, or NULL to use the default section

### Note

This should greatly improve the performance of the closure operations, at the cost of additional memory.

### See Also

DMPlexVecGetClosure(), DMPlexVecRestoreClosure(), DMPlexVecSetClosure(), DMPlexMatSetClosure()

### Level

intermediate

### Location

src/dm/impls/plex/plexindices.c

### Examples

src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex46.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages